Bug 1443551 - Align SSG profile and official DISA STIG release.
Summary: Align SSG profile and official DISA STIG release.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Marek Haicman
Mirek Jahoda
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1477664 1553233
TreeView+ depends on / blocked
 
Reported: 2017-04-19 12:55 UTC by Marek Haicman
Modified: 2018-10-30 11:47 UTC (History)
10 users (show)

(edit)
The RHEL7 DISA STIG profile now matches STIG Version 1, Release 4

With this update of the *SCAP Security Guide* project, the RHEL7 Defense Information Systems Agency (DISA) Security Technical Implementation Guide (STIG) profile is aligned with STIG Version 1, Release 4. Note that certain rules do not contain an automated check or fix.
Clone Of:
(edit)
Last Closed: 2018-10-30 11:46:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3308 None None None 2018-10-30 11:47 UTC

Description Marek Haicman 2017-04-19 12:55:00 UTC
Description of problem:
We want STIG profile aligned with official DISA STIG release. This alignment effort is tracked in upstream project https://github.com/OpenSCAP/scap-security-guide/projects/7

Comment 4 Shawn Wells 2018-03-26 17:22:44 UTC
Is there a reason this bugzilla is marked private?

Comment 9 Marek Haicman 2018-07-31 22:21:34 UTC
DISA STIG v1r4 is part of upstream version 0.1.40

Comment 11 Mirek Jahoda 2018-08-17 10:10:41 UTC
Hello,

Since this BZ is marked to be included in the RHEL 7.6 Release Notes, could you please write a draft of Doc Text using the template? Thank you.

Comment 14 Shawn Wells 2018-08-21 18:37:22 UTC
Still getting caught up on this line:

"The profile now contains rules that match latest requirements by DISA for Red Hat Enterprise Linux 7 systems."


The phrase "latest requirements" will become outdated fast. DISA releases at a different cadence than RHEL and it's likely such statement will be accidentally misleading overtime. To +1 what Ted Brunell said, suggest dropping that sentence.

Comment 15 Marek Haicman 2018-08-22 10:32:58 UTC
Thank you, Mirek! Looks good now.

Comment 16 Marek Haicman 2018-08-27 12:36:11 UTC
[root@qeos-62 ~]# oscap info --profile xccdf_org.ssgproject.content_profile_stig-rhel7-disa /usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml 
Document type: Source Data Stream
Imported: 2018-08-01T11:34:30

Stream: scap_org.open-scap_datastream_from_xccdf_ssg-rhel7-xccdf-1.2.xml
Generated: (null)
Version: 1.2
Profile
	Title: DISA STIG for Red Hat Enterprise Linux 7
	Id: xccdf_org.ssgproject.content_profile_stig-rhel7-disa

	Description: This profile contains configuration checks that align to the    DISA STIG for Red Hat Enterprise Linux V1R4.       In addition to being applicable to RHEL7, DISA recognizes this    configuration baseline as applicable to the operating system tier of    Red Hat technologies that are based off RHEL7, such as:    - Red Hat Enterprise Linux Server    - Red Hat Enterprise Linux Workstation and Desktop    - Red Hat Virtualization Hypervisor (RHV-H)    - Red Hat Enterprise Linux for HPC    - Red Hat Storage


=======
Statistics (used STIG Viewer - imported v1r4, created checklist, loaded xccdf result file):

RHEL7.5 package result (in comparison to v1r4 xccdf from DISA)
unhardened: Open 72, Not a finding 34, Not reviewed 134
hardened: Open 8, Not a finding 98, Not reviewed 134

RHEL7.6 package result (in comparison to v1r4 xccdf from DISA)
unhardened: Open 145, Not a finding 65, Not reviewed 30
hardened: Open 16, Not a finding 194, Not reviewed 30

Comment 18 errata-xmlrpc 2018-10-30 11:46:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3308


Note You need to log in before you can comment on or make changes to this bug.